<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>homework3_find-simple-multiples</title>
</head>

<body>
  <script>
    let validation = false;
    let startCount;
    let endCount;

    do {
      startCount = +prompt("Enter START number (>1, integet) please");
      endCount = +prompt("Enter END number (>1, integet, START<=END) please");
      if (startCount <= endCount && startCount > 1 && Number.isInteger(startCount) && endCount > 1 && Number.isInteger(endCount)) {
        validation = true;
      } else {
        alert('You enter invalid numbers');
      }
    } while (!validation);

    for (let i = startCount; i <= endCount; i++) {
      for (let j = 2; j <= i; j++) {
        if (i % j === 0) {
          if (i === j) {
            console.log(i);
          } else {
            break;
          }
        }
      }
    }
  </script>
</body>

</html>